Veeam PowerShell: Some of its components are out of date

The Veeam Backup PowerShell snap-in allows you to do almost all operations that are available in the user interface. You can run the Veeam PowerShell sessions from the Veeam backup server (locally) or from a remote machine. The remote machine must have the Veeam Backup & Replication Console installed. The Veeam PowerShell component is installed by default as a part of the Veeam Backup & Replication or the Veeam Backup & Replication Console.

Issue

Sometimes, you may get the following error message on a remote machine when you try to connect to the Veeam B&R server:

Cannot connect to backup server because some of its components are out of date.

Fix

This message means that you must update the Veeam Console in order to use the Veeam PowerShell module. To solve this issue, you just have to open the Veeam console, and Veeam will ask you to update the console. Just select « Yes »:

Once the update is done, you can rerun the Connect-VBRServer cmdlet.

 

Thanks for reading! You can follow me on Twitter @PrigentNico

About Nicolas 193 Articles
I work as a System Engineer, based in Switzerland with a primary focus on Microsoft technologies. I have 7 years experience in administering Windows Servers. . I am a Microsoft MVP for Cloud & Datacenter Management. I also received the PowerShell Hero 2016 award by PowerShell.0rg. And finally, I am "MCSA: Windows Server 2012" and "Administering & Deploying SCCM" certified.